# Golang CRUD API Example with GORM, Fiber, and MySQL

In this tutorial, you'll learn how to build a Golang CRUD API example using the Fiber framework and GORM to interact with a MySQL database.

![Golang CRUD API Example with GORM and MySQL](https://codevoweb.com/wp-content/uploads/2023/03/Golang-CRUD-API-Example-with-GORM-Fiber-and-MySQL.webp)

## Topics Covered

- Run the CRUD API Project on Your Machine
- Run the CRUD API with a Frontend App
- Bootstrap the Golang Project
- Setup MySQL Server with Docker
- Create the Database Model with GORM
- Load the Environment Variables with Viper
- Create a Function to Connect to the MySQL Server
- Implement the CRUD Functionality
    - Fiber Route Handler to Create a New Record
    - Fiber Route Handler to Retrieve All Records
    - Fiber Route Handler to Edit a Record
    - Fiber Route Handler to Fetch a Single Record
    - Fiber Route Handler to Delete a Record
    - The Complete Code of the Fiber Route Handlers
- Create the API Routes and Setup CORS
- Test the CRUD API with a Frontend
    - Perform the CREATE Operation of CRUD
    - Perform the UPDATE Operation of CRUD
    - Perform the READ Operation of CRUD
    - Perform the DELETE Operation of CRUD
- Conclusion

Read the entire article here: [https://codevoweb.com/golang-crud-api-example-with-gorm-and-mysql/](https://codevoweb.com/golang-crud-api-example-with-gorm-and-mysql/)

